%define module_version 0.32
%define module_name Text-Quote
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Assert.pm) perl(Compress/Zlib.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.32
Release: alt1
Summary: Quotes strings as required for perl to eval them back correctly.
Group: Development/Perl
License: perl
URL: https://github.com/neilbowers/Text-Quote

Source0: http://cpan.org.ua/authors/id/N/NE/NEILB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Text::Quote is intended as a utility class for other classes that need to be able
to produce valid perl quoted strings.  It posses routines to determine the ideal quote
character to correctly quote hash keys, to correctly quote and encode binary strings.

This code was inspired by an analysis of Data::Dump by Gisle Aas.
In some cases it was much more than inspired. :-)


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- initial import by package builder

